Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 223517 - kernel crashes
Summary: kernel crashes
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 6
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 427887
TreeView+ depends on / blocked
 
Reported: 2007-01-19 20:12 UTC by M. Steinborn
Modified: 2008-02-08 04:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-08 04:26:12 UTC


Attachments (Terms of Use)
Shortened "/var/log/messages" since last reboot (deleted)
2007-01-19 20:12 UTC, M. Steinborn
no flags Details

Description M. Steinborn 2007-01-19 20:12:15 UTC
Description of problem:
After booting the newest kernel (2.6.19-1.2869.fc6), linux crashed within a
short time. In order to isolate the bug, I turned off "ndiswrapper" (the
remaining errors are without ndiswrapper!). Looking after reboot into
"/var/log/messages" I found the following (shortend, more detailed version is
being attached):

[...]
Jan 19 20:46:43 lifebook kernel: BUG: sleeping function called from invalid
context at kernel/sched.c:4536
Jan 19 20:46:43 lifebook kernel: in_atomic():0, irqs_disabled():1
Jan 19 20:46:43 lifebook kernel:  [<c0405018>] dump_trace+0x69/0x1b6
Jan 19 20:46:43 lifebook kernel:  [<c040517d>] show_trace_log_lvl+0x18/0x2c
Jan 19 20:46:43 lifebook kernel:  [<c0405778>] show_trace+0xf/0x11
Jan 19 20:46:43 lifebook kernel:  [<c0405875>] dump_stack+0x15/0x17
Jan 19 20:46:43 lifebook kernel:  [<c0422d1b>] __cond_resched+0x12/0x3c
Jan 19 20:46:43 lifebook kernel:  [<c0624468>] cond_resched+0x2a/0x31
Jan 19 20:46:43 lifebook kernel:  [<c8a28952>] snd_es1968_ac97_wait+0x19/0x2c
[snd_es1968]
Jan 19 20:46:43 lifebook kernel:  [<c8a28c5b>] snd_es1968_ac97_read+0x34/0x53
[snd_es1968]
Jan 19 20:46:43 lifebook kernel:  [<c8a48129>] snd_ac97_read+0x20/0x28
[snd_ac97_codec]
Jan 19 20:46:43 lifebook kernel:  [<c8a4a811>] snd_ac97_mixer+0x148/0x1643
[snd_ac97_codec]
Jan 19 20:46:44 lifebook kernel:  [<c8a2939e>] snd_es1968_probe+0x60a/0xc53
[snd_es1968]
Jan 19 20:46:44 lifebook kernel:  [<c04fae45>] pci_device_probe+0x36/0x57
Jan 19 20:46:44 lifebook kernel:  [<c055e6f8>] really_probe+0x39/0xda
Jan 19 20:46:44 lifebook kernel:  [<c055e92f>] __driver_attach+0x73/0xab
Jan 19 20:46:44 lifebook kernel:  [<c055de08>] bus_for_each_dev+0x37/0x59
Jan 19 20:46:44 lifebook kernel:  [<c055e61b>] driver_attach+0x16/0x18
Jan 19 20:46:44 lifebook kernel:  [<c055e0d9>] bus_add_driver+0x61/0x165
Jan 19 20:46:44 lifebook kernel:  [<c04faf9d>] __pci_register_driver+0x6f/0x89
Jan 19 20:46:44 lifebook kernel:  [<c044302e>] sys_init_module+0x17ff/0x19aa
Jan 19 20:46:44 lifebook kernel:  [<c040404b>] syscall_call+0x7/0xb
Jan 19 20:46:44 lifebook kernel:  [<00927402>] 0x927402
Jan 19 20:46:44 lifebook kernel:  =======================
[...]

Version-Release number of selected component (if applicable):
2.6.19-1.2869.fc6

How reproducible:
For me: always

Steps to Reproduce:
1. install the kernel (e.g. by "yum update")
2. boot it
3. look into /var/log/messages

Actual results:
Kernel crashed with log entries shown above and more detailed in the attachment.

Expected results:
Clear by context :-)  Kernel should not crash at all.

Additional info:
N/A

Comment 1 M. Steinborn 2007-01-19 20:12:17 UTC
Created attachment 146026 [details]
Shortened "/var/log/messages" since last reboot

Comment 2 M. Steinborn 2007-01-19 20:23:28 UTC
Sorry, a bugfix:

Version-Release number of selected component (if applicable):
2.6.19-1.2895.fc6

Every reference to the version number in the above text has to be corrected, too.

Comment 3 M. Steinborn 2007-02-17 20:20:04 UTC
Problem still present in kernel-2.6.19-1.2911.fc6.i686.rpm, but the kernel does
not crash anymore, just logging the above error.

Comment 4 Jon Stanley 2008-01-08 01:53:20 UTC
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!

Comment 5 Jon Stanley 2008-02-08 04:26:12 UTC
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!


Note You need to log in before you can comment on or make changes to this bug.